\clearpage

\section{BDT studies}

The BDT is calibrated with \decay{\Bp}{\jpsi\Kp} and \BsToJPsiPhi decays.
Special attention is paid to the computation of the DOCA. DaVinci computes this
out of the box between the \jpsi and the \Kp or between the \jpsi and the $\phi$.
For the purpose here, it is computed between a kaon and the oppositely charged
muon (in case of \BsToJPsiPhi, a random muon is chosen).

\subsection{\decay{\Bp}{\jpsi\Kp}}

\subsubsection{preliminary studies}

Without special treatment the input variables look in MC like shown in
Figs.~\ref{fig:fixme} to~\ref{fig:fixmetoo}.

\subsubsection{reweighting}

To improve the agreement, a twodimensional reweighting in \Kp \pt and \Bp \pt
is applied as implemented with the binned reweighter of the hep\_ml package.
The outcome is shown in Fig.~\ref{fig:BDTrew}.

\begin{figure}
  \centering
  \includegraphics[width=.49\textwidth]{BDT_studies/scatter.png}
  \includegraphics[width=.49\textwidth]{BDT_studies/JpsiK_colz.png}

  \includegraphics[width=.49\textwidth]{BDT_studies/Kmunu_colz.png}
  \includegraphics[width=.49\textwidth]{BDT_studies/JpsiK_rew_colz.png}
  
  \caption{\pt distribution of the kaon and \B in \decay{\Bp}{\jpsi\Kp} and
  \decay{\Bs}{\Kp\mum\neum} decays (MC). top left: scatter plot comparing the
two decay channels w/o reweighting. top right: \jpsi\Kp without reweighting.
bottom left: \Kp\mum\neum. bottom right: \jpsi\Kp with reweighting.}
  \label{fig:BDTrew}
\end{figure}

\subsubsection{input variables in MC after reweighting}

\subsubsection{\jpsi\Kp data vs MC}

\subsubsection{conclusion}
